using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace NKC_WF.site
{
    public partial class PaintingSmart : BasePage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                ((SiteMaster)this.Master).showSearch = false;
#if false
                doUpdate(); 
#endif
            }
        }
#if false
        /// <summary>
        /// Batch corrente...
        /// </summary>
        public int BatchId
        {
            set
            {
                hfBatchID.Value = value.ToString();
            }
            get
            {
                int answ = 0;
                int.TryParse(hfBatchID.Value, out answ);
                return answ;
            }
        }
        /// <summary>
        /// Aggiorna componente principale e child components
        /// </summary>
        private void doUpdate()
        {
            setCurrData();
            // aggiorno child
            cmp_unloadSmart.BatchId = BatchId;
        }
        /// <summary>
        /// Imposta dati correnti (Bunk / Sheet)
        /// </summary>
        private void setCurrData()
        {
            // recupero bunk corrente...
            DS_App.StackListRow currBunk = ComLib.getCurrBunk();
            if (currBunk != null)
            {
                BatchId = currBunk.BatchID;
            }
        } 
#endif
    }
}